## org.w3c.dom.svg
Interface SVGViewElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan

All Known Implementing Classes:
  SVGOMViewElement

public interface SVGViewElement
extends SVGElement, SVGExternalResourcesRequired, SVGFitToViewBox, SVGZoomAndPan

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.svg.SVGZoomAndPan
`SVG_ZOOMANDPAN_DISABLE, SVG_ZOOMANDPAN_MAGNIFY, SVG_ZOOMANDPAN_UNKNOWN`

Method Summary
`SVGStringList` `getViewTarget()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGFitToViewBox
`getPreserveAspectRatio, getViewBox`

Methods inherited from interface org.w3c.dom.svg.SVGZoomAndPan
`getZoomAndPan, setZoomAndPan`

Method Detail

### getViewTarget

    public SVGStringList getViewTarget()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.